Bug 1651654 - Allow NetworkManager to use bpf
Summary: Allow NetworkManager to use bpf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-20 13:52 UTC by Beniamino Galvani
Modified: 2019-01-17 02:16 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.14.2-46.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-17 02:16:43 UTC


Attachments (Terms of Use)

Description Beniamino Galvani 2018-11-20 13:52:45 UTC
On F29 NetworkManager implements a new code for IPv4 address conflict detection (RFC 5227) based on n-acd [1], which uses eBPF to process ARP packets from the network. Currently the SELinux policy forbids this, resulting in the following denials when a connection is activated:

 Nov 20 14:44:23 fd audit[678]: AVC avc:  denied  { map_create } for  pid=678 comm="NetworkManager" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=bpf permissive=1
 Nov 20 14:44:23 fd audit[678]: AVC avc:  denied  { map_read map_write } for  pid=678 comm="NetworkManager" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=bpf permissive=1
 Nov 20 14:44:23 fd audit[678]: AVC avc:  denied  { prog_load } for  pid=678 comm="NetworkManager" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=bpf permissive=1
 Nov 20 14:44:23 fd audit[678]: AVC avc:  denied  { prog_run } for  pid=678 comm="NetworkManager" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=bpf permissive=1

Please add rules to the policy so that NM is allowed to perform such calls.

[1] https://github.com/nettools/n-acd

Comment 1 Beniamino Galvani 2018-12-13 13:21:25 UTC
Ping, any news on this? Those denials prevent ARP announcements on the local network and the proper detection of duplicate IP addresses.

Comment 2 Lukas Vrabec 2018-12-17 18:58:10 UTC
commit 05cd6efc1ad3c2b18f327c0125b8de99cc50ca58 (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Mon Dec 17 19:56:08 2018 +0100

    F29 NetworkManager implements a new code for IPv4 address conflict detection (RFC 5227) based on n-acd [1], which uses eBPF to process ARP packets from the network. BZ(1651654)
    
    Adding SELinux allow rules to allow activated connections with SELinux
    in enforcing.

Comment 3 Fedora Update System 2019-01-13 15:45:00 UTC
selinux-policy-3.14.2-46.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a20cfef61

Comment 4 Fedora Update System 2019-01-14 03:03:15 UTC
selinux-policy-3.14.2-46.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a20cfef61

Comment 5 Fedora Update System 2019-01-17 02:16:43 UTC
selinux-policy-3.14.2-46.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.